#1402 closed defect (fixed)

possible memory leak in cpukit\libblock\src\ide_part_table.c

Reported by: Dmitriy Owned by: Sebastian Huber
Priority: normal Milestone: 4.10
Component: lib/block Version: unknown
Severity: normal Keywords:
Cc: nbkolchin@… Blocked By:
Blocking:

Description

possible memory leak in cpukit\libblock\src\ide_part_table.c in rtems_ide_part_table_initialize function on negative branch. Forgot to free disk_desc.

rc = rtems_ide_part_table_get(dev_name, disk_desc);
if (rc != RTEMS_SUCCESSFUL)
{

free(disk_desk); need to add
return rc;

}

Attachments (1)

ide-part-table.patch (547 bytes) - added by Sebastian Huber on Nov 20, 2009 at 9:07:27 AM.
Bugfix

Download all attachments as: .zip

Change History (5)

comment:1 Changed on May 17, 2009 at 8:52:33 PM by Nickolay Semyonov-Kolchin

Cc: Nickolay Semyonov-Kolchin added

Changed on Nov 20, 2009 at 9:07:27 AM by Sebastian Huber

Attachment: ide-part-table.patch added

Bugfix

comment:2 Changed on Nov 20, 2009 at 9:07:27 AM by Sebastian Huber

Owner: changed from Joel Sherrill to Sebastian Huber
Status: newassigned

comment:3 Changed on Dec 2, 2009 at 9:25:04 AM by Sebastian Huber

Resolution: fixed
Status: assignedclosed

Fixed on CVS head.

comment:4 Changed on Oct 10, 2017 at 6:49:52 AM by Sebastian Huber

Component: scorelib/block
Note: See TracTickets for help on using tickets.